Skip to main content

Get Contract Info

Request Example

curl "https://api.mexc.com/api/v1/contract/detail/country"

Response Example

{
"success": true,
"code": 0,
"data": {
"symbol": "BTC_USDT",
"displayName": "BTC_USDT永续",
"displayNameEn": "BTC_USDT PERPETUAL",
"positionOpenType": 3,
"baseCoin": "BTC",
"quoteCoin": "USDT",
"baseCoinName": "BTC",
"quoteCoinName": "USDT",
"futureType": 1,
"settleCoin": "USDT",
"contractSize": 0.0001,
"minLeverage": 1,
"maxLeverage": 500,
"countryConfigContractMaxLeverage": 0,
"priceScale": 1,
"volScale": 0,
"amountScale": 4,
"priceUnit": 0.1,
"volUnit": 1,
"minVol": 1,
"maxVol": 400000,
"bidLimitPriceRate": 0.1,
"askLimitPriceRate": 0.1,
"takerFeeRate": 0.0001,
"makerFeeRate": 0,
"maintenanceMarginRate": 0.001,
"initialMarginRate": 0.002,
"riskBaseVol": 17000000,
"riskIncrVol": 0,
"riskLongShortSwitch": 0,
"riskIncrMmr": 0,
"riskIncrImr": 0,
"riskLevelLimit": 1,
"priceCoefficientVariation": 0.004,
"indexOrigin": [
"BITGET",
"BYBIT",
"BINANCE",
"HTX",
"OKX",
"MEXC",
"KUCOIN"
],
"state": 0,
"isNew": false,
"isHot": false,
"isHidden": false,
"conceptPlate": [
"mc-trade-zone-layer2",
"mc-trade-zone-pow"
],
"conceptPlateId": [
5,
12
],
"riskLimitType": "BY_VOLUME",
"maxNumOrders": [
200,
50
],
"marketOrderMaxLevel": 20,
"marketOrderPriceLimitRate1": 0.1,
"marketOrderPriceLimitRate2": 0.005,
"triggerProtect": 0.1,
"appraisal": 0,
"showAppraisalCountdown": 0,
"automaticDelivery": 0,
"apiAllowed": true,
"depthStepList": [
"0.1",
"1",
"10",
"100"
],
"limitMaxVol": 2500000,
"threshold": 0,
"baseCoinIconUrl": "https://public.mocortech.com/coin/F20250612182226438Ba037qttKoGcrm.png",
"id": 10,
"vid": "128f589271cb4951b03e71e6323eb7be",
"baseCoinId": "febc9973be4d4d53bb374476239eb219",
"createTime": 1591242684000,
"openingTime": 0,
"openingCountdownOption": 1,
"showBeforeOpen": true,
"isMaxLeverage": true,
"isZeroFeeRate": false,
"riskLimitMode": "CUSTOM",
"isZeroFeeSymbol": false,
"riskLimitCustom": [
{
"level": 1,
"maxVol": 50000,
"mmr": 0.001,
"imr": 0.002,
"maxLeverage": 500
},
{
"level": 2,
"maxVol": 120000,
"mmr": 0.004,
"imr": 0.005,
"maxLeverage": 200
},
{
"level": 3,
"maxVol": 320000,
"mmr": 0.005,
"imr": 0.01,
"maxLeverage": 100
},
{
"level": 4,
"maxVol": 2280000,
"mmr": 0.01,
"imr": 0.02,
"maxLeverage": 50
},
{
"level": 5,
"maxVol": 15500000,
"mmr": 0.02,
"imr": 0.05,
"maxLeverage": 20
},
{
"level": 6,
"maxVol": 17000000,
"mmr": 0.05,
"imr": 0.1,
"maxLeverage": 10
}
],
"liquidationFeeRate": 0.0004,
"feeRateMode": "NORMAL",
"leverageFeeRates": [],
"tieredFeeRates": [],
"type": 1,
"stopOnlyFair": false,
"preMarket": false,
"typeLabel": 0,
"fn": "BTC_USDT永续",
"feeRateType": "BASE",
"tagIdList": [
5,
8
]
}
}
  • GET /api/v1/contract/detail/country

Request Parameters:

ParameterTypeRequiredDescription
symbolstringfalseContract symbol

Response Parameters:

ParameterTypeDescription
symbolstringContract symbol
displayNamestringDisplay name
displayNameEnstringEnglish display name
positionOpenTypeintOpening type: 1 isolated, 2 cross, 3 both supported
baseCoinstringBase asset (e.g. BTC)
quoteCoinstringQuote asset (e.g. USDT)
baseCoinNamestringBase asset name
quoteCoinNamestringQuote currency name
futureTypeintContract type: 1 perpetual, 2 delivery
settleCoinstringSettlement asset
contractSizedecimalContract size
minLeverageintMinimum leverage
maxLeverageintMaximum leverage
countryConfigContractMaxLeverageintCountry-configured maximum leverage for this contract
priceScaleintPrice precision
volScaleintVolume precision
amountScaleintAmount precision
priceUnitdecimalMinimum price tick
volUnitdecimalMinimum quantity step
minVoldecimalMinimum order size (contracts)
maxVoldecimalMaximum order size (contracts)
bidLimitPriceRatedecimalBuy-side limit price protection ratio
askLimitPriceRatedecimalSell-side limit price protection ratio
takerFeeRatedecimalTaker fee rate
makerFeeRatedecimalMaker fee rate
maintenanceMarginRatedecimalMaintenance margin rate
initialMarginRatedecimalInitial margin rate
riskBaseVoldecimalBase risk volume (contracts)
riskIncrVoldecimalIncremental risk volume (contracts)
riskLongShortSwitchintSeparate long/short risk limits: 0 off, 1 on
riskIncrMmrdecimalMaintenance margin rate increment per tier
riskIncrImrdecimalInitial margin rate increment per tier
riskLevelLimitintNumber of risk limit tiers
priceCoefficientVariationdecimalFair price deviation coefficient from index price
indexOriginList<String>Index price sources
stateintStatus: 0 enabled, 1 delivery, 2 delivered, 3 offline, 4 paused
isNewbooleanWhether this is the new-listing tag; true yes, false no
isHotbooleanWhether this is the hot symbol tag; true yes, false no
isHiddenbooleanWhether hidden from default display; true yes, false no
conceptPlateList<String>Sector tags (matches sector list entryKey)
conceptPlateIdList<Integer>Sector tag IDs
riskLimitTypestringRisk limit type: BY_VOLUME (by contracts), BY_VALUE (by position value)
maxNumOrdersList<Integer>Max open orders: [hedged mode max, one-way mode max]
marketOrderMaxLevelintMax market-order taker depth levels
marketOrderPriceLimitRate1decimalPrice protection coefficient for market orders when depth exceeds 20 levels
marketOrderPriceLimitRate2decimalPrice protection coefficient for market orders when depth is 20 levels or fewer
triggerProtectdecimalConditional order trigger threshold for priceProtect; 0 disables protection
appraisalintAssessment flag: 1 on, 0 off
showAppraisalCountdownintShow assessment countdown: 1 on, 0 off
automaticDeliveryintAuto delivery flag: 1 on, 0 off
apiAllowedbooleanWhether API trading is allowed
depthStepListList<String>Order book depth step list
limitMaxVoldecimalMax contracts per limit order
thresholdlong0 disabled; greater than 0 indicates an active configuration
baseCoinIconUrlstringBase asset icon URL
idintContract ID
vidstringSettlement coin vcoin ID
baseCoinIdstringBase coin vcoin ID
createTimelongCreation time; Unix millisecond timestamp
openingTimelongMarket open time; Unix millisecond timestamp
openingCountdownOptionintOpening countdown UI: 1 show open time and countdown; 2 show open time only; 3 show neither
showBeforeOpenbooleanWhether shown on the new listing board before market open; true: yes, false: no
isMaxLeveragebooleanWhether this is the max leverage tag; true: yes, false: no
isZeroFeeRatebooleanWhether this is a zero-fee tag; true: yes, false: no
riskLimitModestringRisk limit mode: INCREASE = incremental mode, CUSTOM = custom mode
isZeroFeeSymbolbooleanWhether this is a zero-fee symbol; true: participates in the zero-fee program, false: no
riskLimitCustomarrayCustom risk limit list in CUSTOM mode; each item is an object containing level (tier), maxVol (maximum contracts), mmr (maintenance margin rate), imr (initial margin rate), and maxLeverage (maximum leverage)
liquidationFeeRatedecimalLiquidation fee rate
feeRateModestringFee rate mode: NORMAL = normal mode, LEVERAGE = leverage fee mode, TIERED = tiered fee mode
leverageFeeRatesarrayLeverage fee schedule (used when feeRateMode is LEVERAGE; empty when not applicable)
tieredFeeRatesarrayTiered fee bands (used when feeRateMode is TIERED; empty when not applicable)
typeintPair type: 1 = normal, 2 = suspended
stopOnlyFairbooleanWhether TP/SL may only trigger at fair price; true yes, false no
preMarketbooleanWhether pre-market trading applies; true yes, false no
typeLabelintType label for suspended pairs (legacy): 0 = none, 1 = TradFi, 2 = stock
fnstringLocalized full contract name
feeRateTypestringFee rate type: BASE = base fee rate, TEMP = temporary fee rate
tagIdListList<Long>Contract tag ID list